apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: builder-be-internal
  namespace: sta-builder-be
spec:
  hosts:
    - sta-builder-be.sta-builder-be.svc.cluster.local
  http:
    - route:
        - destination:
            host: sta-builder-be
            port:
              number: 80
        #   weight: 50
        # - destination:
        #     host: sta-builder-be
        #     subset: v2
        #     port:
        #       number: 80
        #   weight: 50
